package travel.entity;
// Generated Apr 13, 2017 10:12:16 PM by Hibernate Tools 4.3.1

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;



/**
 * Tour generated by hbm2java
 */
@Entity
@Table(name = "tour", catalog = "travel_tour"
)
public class Tour implements java.io.Serializable {

    private Integer id;
    private Khuvuc khuvuc;
    private Thuonghieu thuonghieu;
    private String tourname;
    private String mota;
    private Double dongia;
    private Double dongiaKm;
    private String hinhanh;
    private Integer soluongnguoi;
    private String phuongtien;
    private Date ngaytao;
    private Integer hienthi;
    private String lichtrinh;
    private Set<Hinhanhchitiet> hinhanhchitiets = new HashSet<Hinhanhchitiet>(0);
    private Set<Chitietdonhang> chitietdonhangs = new HashSet<Chitietdonhang>(0);
    private Set<Binhchon> binhchons = new HashSet<Binhchon>(0);

    public Tour() {
    }

    public Tour(Khuvuc khuvuc, Thuonghieu thuonghieu, String tourname, String mota, Double dongia, Double dongiaKm, String hinhanh, Integer soluongnguoi, String phuongtien, Date ngaytao, Integer hienthi, String lichtrinh, Set<Hinhanhchitiet> hinhanhchitiets, Set<Chitietdonhang> chitietdonhangs, Set<Binhchon> binhchons) {
        this.khuvuc = khuvuc;
        this.thuonghieu = thuonghieu;
        this.tourname = tourname;
        this.mota = mota;
        this.dongia = dongia;
        this.dongiaKm = dongiaKm;
        this.hinhanh = hinhanh;
        this.soluongnguoi = soluongnguoi;
        this.phuongtien = phuongtien;
        this.ngaytao = ngaytao;
        this.hienthi = hienthi;
        this.lichtrinh = lichtrinh;
        this.hinhanhchitiets = hinhanhchitiets;
        this.chitietdonhangs = chitietdonhangs;
        this.binhchons = binhchons;
    }

    @Id
    @GeneratedValue(strategy = IDENTITY)

    @Column(name = "id", unique = true, nullable = false)
    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @ManyToOne(fetch = FetchType.EAGER)
    @JoinColumn(name = "id_khuvuc")
    public Khuvuc getKhuvuc() {
        return this.khuvuc;
    }

    public void setKhuvuc(Khuvuc khuvuc) {
        this.khuvuc = khuvuc;
    }

    @ManyToOne(fetch = FetchType.EAGER)
    @JoinColumn(name = "id_thuonghieu")
    public Thuonghieu getThuonghieu() {
        return this.thuonghieu;
    }

    public void setThuonghieu(Thuonghieu thuonghieu) {
        this.thuonghieu = thuonghieu;
    }

    @Column(name = "tourname", length = 500)
    public String getTourname() {
        return this.tourname;
    }

    public void setTourname(String tourname) {
        this.tourname = tourname;
    }

    @Column(name = "mota", length = 65535)
    public String getMota() {
        return this.mota;
    }

    public void setMota(String mota) {
        this.mota = mota;
    }

    @Column(name = "dongia", precision = 22, scale = 0)
    public Double getDongia() {
        return this.dongia;
    }

    public void setDongia(Double dongia) {
        this.dongia = dongia;
    }

    @Column(name = "dongiaKM", precision = 22, scale = 0)
    public Double getDongiaKm() {
        return this.dongiaKm;
    }

    public void setDongiaKm(Double dongiaKm) {
        this.dongiaKm = dongiaKm;
    }

    @Column(name = "hinhanh", length = 200)
    public String getHinhanh() {
        return this.hinhanh;
    }

    public void setHinhanh(String hinhanh) {
        this.hinhanh = hinhanh;
    }

    @Column(name = "soluongnguoi")
    public Integer getSoluongnguoi() {
        return this.soluongnguoi;
    }

    public void setSoluongnguoi(Integer soluongnguoi) {
        this.soluongnguoi = soluongnguoi;
    }

    @Column(name = "phuongtien", length = 20)
    public String getPhuongtien() {
        return this.phuongtien;
    }

    public void setPhuongtien(String phuongtien) {
        this.phuongtien = phuongtien;
    }

    @Temporal(TemporalType.DATE)
    @Column(name = "ngaytao", length = 10)
    public Date getNgaytao() {
        return this.ngaytao;
    }

    public void setNgaytao(Date ngaytao) {
        this.ngaytao = ngaytao;
    }

    @Column(name = "hienthi")
    public Integer getHienthi() {
        return this.hienthi;
    }

    public void setHienthi(Integer hienthi) {
        this.hienthi = hienthi;
    }

    @Column(name = "lichtrinh", length = 65535)
    public String getLichtrinh() {
        return this.lichtrinh;
    }

    public void setLichtrinh(String lichtrinh) {
        this.lichtrinh = lichtrinh;
    }

    @OneToMany(fetch = FetchType.LAZY, mappedBy = "tour",cascade=CascadeType.ALL)
    public Set<Hinhanhchitiet> getHinhanhchitiets() {
        return this.hinhanhchitiets;
    }

    public void setHinhanhchitiets(Set<Hinhanhchitiet> hinhanhchitiets) {
        this.hinhanhchitiets = hinhanhchitiets;
    }

    @OneToMany(fetch = FetchType.LAZY, mappedBy = "tour",cascade=CascadeType.ALL)
    public Set<Chitietdonhang> getChitietdonhangs() {
        return this.chitietdonhangs;
    }

    public void setChitietdonhangs(Set<Chitietdonhang> chitietdonhangs) {
        this.chitietdonhangs = chitietdonhangs;
    }

    @OneToMany(fetch = FetchType.LAZY, mappedBy = "tour", cascade=CascadeType.ALL)
    public Set<Binhchon> getBinhchons() {
        return this.binhchons;
    }

    public void setBinhchons(Set<Binhchon> binhchons) {
        this.binhchons = binhchons;
    }

}
